Bug 1026886 - Dist-geo-rep: geo-rep start returns success even when the ssh pem file setup is not present.
Dist-geo-rep: geo-rep start returns success even when the ssh pem file setup ...
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
2.1
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
usability
:
Depends On:
Blocks: 1285210
  Show dependency treegraph
 
Reported: 2013-11-05 10:19 EST by M S Vishwanath Bhat
Modified: 2016-05-31 21:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1285210 (view as bug list)
Environment:
Last Closed: 2015-11-25 03:48:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2013-11-05 10:19:47 EST
Description of problem:
When the ssh pem file is not present geo-rep start returns success and proper success message. But since the pem file is not present it logs error in the log files. It would be great to indicate the user via CLI output whenever pem file setup is not present along the log messages in the log file.

Version-Release number of selected component (if applicable):
glusterfs-3.4.0.39rhs-1.el6rhs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Don't create the ssh pem setup and run geo-rep create.

Actual results:
geo-rep create and even start succeeds, but since actually the pem file is not  present it log Error message in the log file and goes to faulty state.



Expected results:
geo-rep create should throw error to stderr saying that the ssh pem file is not present.

Additional info:

The log files log following error. Ideally it should also indicate the user through the warning/error message as a CLI output.

[2013-11-05 17:46:31.898323] W [syncdutils(/rhs/bricks/brick0):198:log_raise_exception] <top>: !!!!!!!!!!!!!
[2013-11-05 17:46:31.898716] E [resource(/rhs/bricks/brick0):204:errlog] Popen: command "ssh -oPasswordAuthentication=no -oStrictHostKeyChecking=no -i /var/lib/glusterd/geo-replication/secret.pem -oControlMaster=auto -S /tmp/gsyncd-aux-ssh-sUpWP0/gsycnd-ssh-%r@%h:%p root@falcon /nonexistent/gsyncd --session-owner 3e02c9ad-d29b-453f-908e-b6a3b2b156d4 -N --listen --timeout 120 gluster://localhost:slave" returned with 127, saying:
[2013-11-05 17:46:31.898997] E [resource(/rhs/bricks/brick0):207:logerr] Popen: ssh> Warning: Identity file /var/lib/glusterd/geo-replication/secret.pem not accessible: No such file or directory.
[2013-11-05 17:46:31.899321] E [resource(/rhs/bricks/brick0):207:logerr] Popen: ssh> bash: /nonexistent/gsyncd: No such file or directory
[2013-11-05 17:46:31.899852] I [syncdutils(/rhs/bricks/brick0):159:finalize] <top>: exiting.
Comment 2 Aravinda VK 2015-11-25 03:48:14 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.
Comment 3 Aravinda VK 2015-11-25 03:50:28 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.

Note You need to log in before you can comment on or make changes to this bug.